import {restGet, restPost, restDelete, restPatch, restPostFile} from '../restConsumer.js'

export async function deleteArticle(id){
    await restDelete("/research/" + id)
}
export async function patchArticle(id, data){
    await restPatch("/research/" + id, data)
}
export async function uploadPdf(file){
    const formData = new FormData();
    formData.append("file", file[0]);

    return restPostFile("/upload/Research", formData);
}
export async function uploadBibTex(file){
    const formData = new FormData();
    formData.append("file", file[0]);

    return restPostFile("/upload/Research", formData);
}

export async function postResearch(data){
    return restPost("/research", data)
}